Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.com
Class EventProxy

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--weblogic.com.EventProxy

public class EventProxy
extends java.awt.Canvas
implements ActionDef

EventProxy sends event messages to the associate ServerListeners

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`EventProxy()`

Method Summary
`void` | `action(EventMessageDef emd)` Sends the specified EventMessage to the ServerListeners associated with an EventProxy
`void` | `addServerListener(ServerListener sl)` Adds a ServerListener to the EventProxy
`void` | `addTengahListener(TengahListener tl)` Deprecated. `addTengahListener` has been superceded by `addServerListener`
`Action` | `getAction()` Returns the Action object associated with an EventProxy
`Evaluate` | `getEvaluate(java.lang.String evaluator)` Returns an Evaluate object associated with an evaluator
`void` | `registerInit(ParamSet ps)` For internal use only
`void` | `removeServerListener(ServerListener sl)` Removes a ServerListener from the EventProxy
`void` | `removeTengahListener(TengahListener tl)` Removes a TengahListener from the EventProxy
`void` | `setServices(T3ServicesDef t3sd)` For internal use only

Methods inherited from class java.awt.Canvas
`addNotify, paint`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPeer, getPreferredSize, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventProxy

    public EventProxy()

Method Detail

### getAction

    public Action getAction()

  Returns the Action object associated with an EventProxy

### getEvaluate

    public Evaluate getEvaluate(java.lang.String evaluator)

  Returns an Evaluate object associated with an evaluator

  Returns:
    The action object

### registerInit

    public void registerInit(ParamSet ps)

  For internal use only
  Specified by:
    registerInit in interface ActionDef

### setServices

    public void setServices(T3ServicesDef t3sd)

  For internal use only
  Specified by:
    setServices in interface ActionDef

### action

    public void action(EventMessageDef emd)

  Sends the specified EventMessage to the ServerListeners associated with an EventProxy
  Specified by:
    action in interface ActionDef

  Parameters:
    `emd` - EventMsgDef object

### addTengahListener

    public void addTengahListener(TengahListener tl)

  Deprecated. `addTengahListener` has been superceded by `addServerListener`
  Adds a TengahListener to the EventProxy

  Parameters:
    `tl` - TengahListener

### addServerListener

    public void addServerListener(ServerListener sl)

  Adds a ServerListener to the EventProxy

  Parameters:
    `sl` - ServerListener

### removeTengahListener

    public void removeTengahListener(TengahListener tl)

  Removes a TengahListener from the EventProxy

  Parameters:
    `tl` - TengahListener

### removeServerListener

    public void removeServerListener(ServerListener sl)

  Removes a ServerListener from the EventProxy

  Parameters:
    `sl` - ServerListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD